### Method

# RB RhythmDB add_uri

#### Declaration [src]

    void
    rhythmdb_add_uri (
      RhythmDB* db,
      const char* uri
    )

#### Description [src]

Adds the file(s) pointed to by `uri` to the database, as entries of type RHYTHMDB_ENTRY_TYPE_SONG. If the URI is that of a file, it will be added. If the URI is that of a directory, everything under it will be added recursively.

#### Parameters

`uri`

  Type: `const char*`

  The URI to add an entry/entries for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.